# Generated from archive-tar-minitar-0.8.gem by gem2rpm -*- rpm-spec -*-
%global gem_name archive-tar-minitar

Name: rubygem-%{gem_name}
Version: 0.8
Release: 1%{?dist}
Summary: 'archive-tar-minitar' has been deprecated; just install 'minitar'
License: Ruby and BSD-2-Clause
URL: https://github.com/halostatue/minitar/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.8
BuildArch: noarch

%description
'archive-tar-minitar' has been deprecated; just install 'minitar'. The minitar
library is a pure-Ruby library that provides the ability to deal
with POSIX tar(1) archive files.
This is release 0.7, providing fixes for several issues and clarifying the
Minitar security stance. There are two minor breaking changes in this version
so that exceptions will be thrown if a negative size is provided in a tar
stream header or if the tar stream header is otherwise invalid.
This release continues the migration and modernization of the code:
*   the licence has been changed to match the modern Ruby licensing scheme
(Ruby and Simplified BSD instead of Ruby and GNU GPL);
*   the +minitar+ command-line program has been separated into the
+minitar-cli+ gem; and
*   the +archive-tar-minitar+ gem now points to the +minitar+ and
+minitar-cli+
gems and discourages its installation.
Some of these changes may break existing programs that depend on the internal
structure of the minitar library, but every effort has been made to ensure
compatibility; inasmuch as is possible, this compatibility will be maintained
through the release of minitar 1.0 (which will have strong breaking changes).
minitar (previously called Archive::Tar::Minitar) is based heavily on code
originally written by Mauricio Julio Fernández Pradier for the rpa-base
project.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Sun Sep 12 2021 mockbuilder - 0.8-1
- Initial package
